/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.simuladordeinvestimentos.investimentos.previdencia.controller;

import br.com.flaviobarros.simuladordeinvestimentos.investimentos.controller.ValidaInvestimento;
import br.com.flaviobarros.simuladordeinvestimentos.investimentos.model.InvestimentoPrevidencia;

/**
 *
 * @author flavio
 */
public class ValidaPrevidencia {

    public static String valida(InvestimentoPrevidencia entidade) {
        String erro = ValidaInvestimento.valida(entidade);

        if (entidade.getNome().isEmpty() || entidade.getNome() == null) {
            erro += "Insira o nome.\n";
        }
        
        if (entidade.getTipoPrevidencia() == null) {
            erro += "Informe a tipo de plano (PGBL ou VGBL).\n";
        }
        
        if (entidade.getTributacaoPrevidencia()== null) {
            erro += "Informe a tipo de tributação (Progressiva compensável ou Regressiva definitiva).\n";
        }
        
        if (entidade.getCarenciaResgate() == null) {
           erro += "Informe a carência para resgate do investimento (em dias).\n";
        }
        
        if (entidade.getTaxaDeCarregamentoAntecipada() == null) {
            erro += "Informe um valor para a taxa de carregamento antecipada.\n";
        }
        
        if (entidade.getTaxaDeCarregamentoPostecipada() == null) {
            erro += "Informe um valor para a taxa de carregamento postecipada.\n";
        }
        

        return erro;
    }
}