/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.simuladordeinvestimentos.investimentos.rdb.controller;

import br.com.flaviobarros.simuladordeinvestimentos.investimentos.controller.ValidaInvestimento;
import br.com.flaviobarros.simuladordeinvestimentos.investimentos.model.InvestimentoRDB;
import br.com.flaviobarros.simuladordeinvestimentos.investimentos.model.InvestimentosComunsSemelhantes;

/**
 *
 * @author flavio
 */
public class ValidaRDB {

    public static String valida(InvestimentoRDB entidade) {
        String erro = ValidaInvestimento.valida(entidade);

        if (entidade.getNome().isEmpty() || entidade.getNome() == null) {
            erro += "Insira o nome.\n";
        }
        
        if (entidade.getPrazoDoInvestimento() == null || entidade.getPrazoDoInvestimento() <= 0) {
            erro += "Informe o prazo maximo do investimento.\n";
        }
        
        if ((entidade.getPercentualCDIContratado() == null || entidade.getPercentualCDIContratado() <= 0) && entidade.getTipoDeRentabilidade() == InvestimentosComunsSemelhantes.TIPO_DE_RENTABILIDADE.POS_FIXADO) {
            erro += "Informe a rentabilidade contratada.\n";
        }
        
        if (entidade.getTipoDeRentabilidade() == null) {
            erro += "Informe a tipo de rentabilidade do investimento (pré-fixado ou pós-fixado).\n";
        }
        
//        if (entidade.getFormaDaRentabilidade() == null) {
//            erro += "Informe a forma da rentabilidade do investimento (ao mês  ou ao ano).\n";
//        }

        return erro;
    }
}