/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.simuladordeinvestimentos.investimentos.tesouroipca.controller;

import br.com.flaviobarros.simuladordeinvestimentos.investimentos.controller.ValidaInvestimento;
import br.com.flaviobarros.simuladordeinvestimentos.investimentos.model.InvestimentoTesouroIPCA;
import java.util.Calendar;

/**
 *
 * @author flavio
 */
public class ValidaTesouroIPCA {

    public static String valida(InvestimentoTesouroIPCA entidade) {
        String erro = ValidaInvestimento.valida(entidade);

        if (entidade.getNome().isEmpty() || entidade.getNome() == null) {
            erro += "Insira o nome.\n";
        }
        
        if (entidade.getVencimento() == null) {
            erro += "Selecione a data de vencimento.\n";
        } else if (entidade.getVencimento().before(Calendar.getInstance())) {
            erro += "Selecione uma data futura para o vencimento.\n";
        }
        
        if (entidade.getRentabilidadeAdicionalContratada() == null) {
            erro += "Informe o valor da rentabilidade adicional contratada.\n";
        }
        
//        if (entidade.getFormaDaRentabilidade() == null) {
//            erro += "Informe a forma da rentabilidade do investimento (ao mês  ou ao ano).\n";
//        }

        return erro;
    }
}