/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.simuladordeinvestimentos.investimentos.tesouroselic.controller;

import br.com.flaviobarros.simuladordeinvestimentos.investimentos.controller.ValidaInvestimento;
import br.com.flaviobarros.simuladordeinvestimentos.investimentos.model.InvestimentoTesouroSelic;
import java.util.Calendar;

/**
 *
 * @author flavio
 */
public class ValidaTesouroSelic {

    public static String valida(InvestimentoTesouroSelic entidade) {
        String erro = ValidaInvestimento.valida(entidade);

        if (entidade.getNome().isEmpty() || entidade.getNome() == null) {
            erro += "Insira o nome.\n";
        }
        
        if (entidade.getVencimento() == null) {
            erro += "Selecione a data de vencimento.\n";
        } else if (entidade.getVencimento().before(Calendar.getInstance())) {
            erro += "Selecione uma data futura para o vencimento.\n";
        }
        
        if (entidade.getRendimentoAdicional() == null) {
            erro += "Informe a taxa de rendimento adicional do título (em % a.a).\n";
        }

        return erro;
    }
}