/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.simuladordeinvestimentos.padroes;

import java.awt.Font;

/**
 *
 * @author flavio
 */
public class Padronizacoes {
    
    private static final Font FONTE = new Font("SansSerif", Font.PLAIN, 12);
    
    private static final Font FONTE_ITALICA = new Font("SansSerif", Font.ITALIC, 12);
    
    private static final Font FONTE_PEQUENA = new Font("SansSerif", Font.PLAIN, 10);
    
    private static final Font FONTE_PEQUENA_ITALICA = new Font("SansSerif", Font.PLAIN, 10);
    
    private static final Font FONTE_NEGRITO = new Font("SansSerif", Font.BOLD, 12);
    
    private static final Font FONTE_NEGRITO_PEQUENA = new Font("SansSerif", Font.BOLD, 10);

    public static Font getFontePadrao() {
        return FONTE;
    }
    
    public static Font getFontePadraoItalica() {
        return FONTE_ITALICA;
    }
    
    public static Font getFontePadraoPequena() {
        return FONTE_PEQUENA;
    }
    
    public static Font getFontePadraoPequenaItalica() {
        return FONTE_PEQUENA_ITALICA;
    }
    
    public static Font getFontePadraoNegrito() {
        return FONTE_NEGRITO;
    }
    
    public static Font getFontePadraoNegritoPequena() {
        return FONTE_NEGRITO_PEQUENA;
    }
    
    public static String getCaminhoArmazenamentoXML() {
        
        String NOME_PASTA = "SimuladorDeInvestimentos";
        String caminho = System.getProperty("user.home");
        String separador = System.getProperty("file.separator");
        
        // criando pasta caso ela não exista
        new java.io.File(caminho, NOME_PASTA).mkdirs();
        
        caminho += separador + NOME_PASTA + separador;
        
        return caminho;
    }
    
}
