/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.util;

/**
 *
 * @author flavio
 */
public class DetectaSistemaOperacional {
    
    private static String SistemaOperacional = System.getProperty("os.name").toLowerCase();
  
    //Função que verifica se é windows
    public static boolean isWindows() {
        return (SistemaOperacional.indexOf("win") >= 0);
    }
  
    //Função que verifica se é Macintosh
    public static boolean isMac() {
        return (SistemaOperacional.indexOf("mac") >= 0);
    }
  
    //Função que verifica se é Unix-Like
    public static boolean isUnix() {
        return (SistemaOperacional.indexOf("nix") >= 0 || SistemaOperacional.indexOf("nux") >= 0 || SistemaOperacional.indexOf("aix") > 0 );
    }
  
    //Função que verifica se é Solaris
    public static boolean isSolaris() {
        return (SistemaOperacional.indexOf("sunos") >= 0);
    }
    
    
}
