/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.util;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Scanner;

/**
 * @author flavio
 * 
 * Esta classe possui funções de salvamento e carregamento de dados em arquivos
 */
public class IOFile {
    
    //Salva o conteudo da String conteudo em um arquivo com o nome da String nome
    public static void save(String nome, String conteudo) throws FileNotFoundException
    {
        //Obtendo a Stream de escrita no arquivo desejado
        PrintStream printStream = new PrintStream(nome);
   
        //Escrevendo no arquivo
        printStream.print(conteudo);
    }
    
    //Retorna uma String com os dados da 
    public static String load(String nome) throws FileNotFoundException
    {
        //Stream do arquivo a ser lido
        InputStream inputStream = new FileInputStream(nome);
        
        //Objeto de leitura da stream do arquivo a serser lido
        Scanner entrada = new Scanner(inputStream);
        
        //Obtendo conteudo do arquivo a ser lido
        StringBuilder conteudo = new StringBuilder();
        while(entrada.hasNextLine())
        {
            conteudo.append(entrada.nextLine());
            conteudo.append("\n");
        }
        
        //retornando os dados do arquivo lido
        return conteudo.toString();
    }
    
//    Testando a classe    
//    public static void main(String[] args)
//    {
//        System.out.println("Iniciando teste...");
//        
//        try {
//            IOFile.save("dadosDeTeste.txt", "Ola, meu nome é Flávio.\nSucesso no salvamento.");
//        } catch (FileNotFoundException ex) {
//            System.out.println("Arquivo não encontrado!");
//        }
//        
//        try {
//            System.out.println(IOFile.load("dadosDeTeste.txt"));
//        } catch (FileNotFoundException ex) {
//            System.out.println("Arquivo não encontrado!");
//        }
//        
//        System.out.println("Finalizando teste...");
//    }
    
    
}
