/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.simuladordeinvestimentos.investimentos.model;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 *
 * @author flavio
 */
@Entity
@Table (name = "investimento_poupanca")
public class InvestimentoPoupanca extends Investimento  implements Serializable{
     
    public InvestimentoPoupanca(String nome) {
        super(nome, Investimento.TIPO.POUPANCA);
    }
    
//  construtor vazio devido ao uso do hibernate
    public InvestimentoPoupanca() {
        super("", Investimento.TIPO.POUPANCA);
    }
    
    @Override
    public String getDescricaoCompacta() {
        
        String descricao = "Nome: "+this.getNome()+
                            "\n   Tipo: "+this.getTipo().getDescricao()+".";
        
        return descricao;
    }
       
}
