/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.com.flaviobarros.simuladordeinvestimentos.investimentos.view;

import br.com.flaviobarros.simuladordeinvestimentos.investimentos.model.Investimento;
import br.com.flaviobarros.simuladordeinvestimentos.padroes.Padronizacoes;
import java.util.ArrayList;
import java.util.List;
import static javax.swing.WindowConstants.DISPOSE_ON_CLOSE;

/**
 *
 * @author flavio
 */
public class EscolhaTipoInvestimentoView extends javax.swing.JDialog {

    private List<Investimento.TIPO> tipoInvestimentoSelecionado;
    
    
    public EscolhaTipoInvestimentoView(java.awt.Frame parent, boolean modal, List<Investimento.TIPO> tipoInvestimentoSelecionado) {
        super(parent, modal);
        
        if (tipoInvestimentoSelecionado != null) {
            this.tipoInvestimentoSelecionado = tipoInvestimentoSelecionado;
        } else {
            this.tipoInvestimentoSelecionado = new ArrayList<>();
        }
        
        initComponents();
        inicializaComponentes();
    }

    private void inicializaComponentes() {
        //janela
        this.setLocationRelativeTo(null);
        this.setDefaultCloseOperation(DISPOSE_ON_CLOSE);
        
        this.setFontes();
    }

    private void setFontes() {
        jbLCI.setFont(Padronizacoes.getFontePadrao());
        jbLCA.setFont(Padronizacoes.getFontePadrao());
        jbCDB.setFont(Padronizacoes.getFontePadrao());
        jbRDB.setFont(Padronizacoes.getFontePadrao());
        jbPoupanca.setFont(Padronizacoes.getFontePadrao());
        jbFundos.setFont(Padronizacoes.getFontePadrao());
        jbTesouroSelic.setFont(Padronizacoes.getFontePadrao());
        jbTesouroIPCA.setFont(Padronizacoes.getFontePadrao());
        jbPrevidencia.setFont(Padronizacoes.getFontePadrao());
        jbCancelar.setFont(Padronizacoes.getFontePadrao());
        
        jLabel2.setFont(Padronizacoes.getFontePadrao());
    }
    
    
    
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jbLCI = new javax.swing.JButton();
        jbLCA = new javax.swing.JButton();
        jbCDB = new javax.swing.JButton();
        jbRDB = new javax.swing.JButton();
        jbPoupanca = new javax.swing.JButton();
        jbFundos = new javax.swing.JButton();
        jbTesouroSelic = new javax.swing.JButton();
        jbTesouroIPCA = new javax.swing.JButton();
        jbPrevidencia = new javax.swing.JButton();
        jbCancelar = new javax.swing.JButton();
        jLabel2 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jbLCI.setText("LCI");
        jbLCI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbLCIActionPerformed(evt);
            }
        });

        jbLCA.setText("LCA");
        jbLCA.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbLCAActionPerformed(evt);
            }
        });

        jbCDB.setText("CDB");
        jbCDB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbCDBActionPerformed(evt);
            }
        });

        jbRDB.setText("RDB");
        jbRDB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbRDBActionPerformed(evt);
            }
        });

        jbPoupanca.setText("Poupança");
        jbPoupanca.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbPoupancaActionPerformed(evt);
            }
        });

        jbFundos.setText("Fundos de Investimento");
        jbFundos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbFundosActionPerformed(evt);
            }
        });

        jbTesouroSelic.setText("Tesouro Selic");
        jbTesouroSelic.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbTesouroSelicActionPerformed(evt);
            }
        });

        jbTesouroIPCA.setText("Tesouro IPCA");
        jbTesouroIPCA.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbTesouroIPCAActionPerformed(evt);
            }
        });

        jbPrevidencia.setText("Previdência");
        jbPrevidencia.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbPrevidenciaActionPerformed(evt);
            }
        });

        jbCancelar.setText("Cancelar");
        jbCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbCancelarActionPerformed(evt);
            }
        });

        jLabel2.setText("Escolha o tipo do investimento a ser inserido:");
        jLabel2.setToolTipText("");
        jLabel2.setAlignmentX(0.5F);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jSeparator1)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap(50, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbLCA, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbLCI, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbCDB, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbRDB, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbPoupanca, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbFundos, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbTesouroSelic, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbTesouroIPCA, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbPrevidencia, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jbCancelar, javax.swing.GroupLayout.PREFERRED_SIZE, 300, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(50, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(6, 6, 6)
                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 17, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jbLCI, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbLCA, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbCDB, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbRDB, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbPoupanca, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbFundos, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbTesouroSelic, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbTesouroIPCA, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jbPrevidencia, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(3, 3, 3)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(10, 10, 10)
                .addComponent(jbCancelar, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(10, 10, 10))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jbLCAActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbLCAActionPerformed
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.LCA);

        this.dispose();
    }//GEN-LAST:event_jbLCAActionPerformed

    private void jbCDBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbCDBActionPerformed
        
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.CDB);

        this.dispose();
    }//GEN-LAST:event_jbCDBActionPerformed

    private void jbCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbCancelarActionPerformed
        tipoInvestimentoSelecionado = null;
        
        this.dispose();
    }//GEN-LAST:event_jbCancelarActionPerformed

    private void jbLCIActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbLCIActionPerformed
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.LCI);

        this.dispose();
    }//GEN-LAST:event_jbLCIActionPerformed

    private void jbRDBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbRDBActionPerformed
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.RDB);

        this.dispose();
    }//GEN-LAST:event_jbRDBActionPerformed

    private void jbPoupancaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbPoupancaActionPerformed
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.POUPANCA);

        this.dispose();
    }//GEN-LAST:event_jbPoupancaActionPerformed

    private void jbFundosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbFundosActionPerformed
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.FUNDO_DE_INVESTIMENTO);

        this.dispose();
    }//GEN-LAST:event_jbFundosActionPerformed

    private void jbTesouroSelicActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbTesouroSelicActionPerformed
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.TESOURO_SELIC);

        this.dispose();
    }//GEN-LAST:event_jbTesouroSelicActionPerformed

    private void jbTesouroIPCAActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbTesouroIPCAActionPerformed
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.TESOURO_IPCA);

        this.dispose();
    }//GEN-LAST:event_jbTesouroIPCAActionPerformed

    private void jbPrevidenciaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbPrevidenciaActionPerformed
        this.tipoInvestimentoSelecionado.add(Investimento.TIPO.PREVIDENCIA);

        this.dispose();
    }//GEN-LAST:event_jbPrevidenciaActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel2;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JButton jbCDB;
    private javax.swing.JButton jbCancelar;
    private javax.swing.JButton jbFundos;
    private javax.swing.JButton jbLCA;
    private javax.swing.JButton jbLCI;
    private javax.swing.JButton jbPoupanca;
    private javax.swing.JButton jbPrevidencia;
    private javax.swing.JButton jbRDB;
    private javax.swing.JButton jbTesouroIPCA;
    private javax.swing.JButton jbTesouroSelic;
    // End of variables declaration//GEN-END:variables
}
